// Version KEAterm 3.10 $RCSfile: apxkeys.ktm,v $  $Revision: 1.1 $ 
// ============================================================================
// ApxKeys:     This Macro must be manually invoked by the user.  When invoked,
//              it will watch for the "END OF ENTRY" prompt from the APPX
//              Keymapper and automatically send all of the keyboard sequences
//              defined in the "AppxKey[]" array.  This array is set in the
//              ApxStart.ktm macro.
// ============================================================================

//
//  Function to Send an AppxKey[] Sequence to the Host
//

Function ApxKey( Key )
    SendKey( AppxKey[Key] )
    Send( "." )
End

//
//  Main Logic to Wait for a Prompt and Send all of the APPX key sequences
//

    ApxStart()  // Initialize AppxKey[] Array //

    Begin 
	suspend( )
    When Match( "Press your END OF ENTRY key now" )
	Send( "." )
	ApxKey( "Backspace" )
	ApxKey( "End" )
	ApxKey( "Return" )
	ApxKey( "Tab" )
	ApxKey( "Option" )
	ApxKey( "Go" )
	ApxKey( "Pan" )
	ApxKey( "Scroll" )
	ApxKey( "CursorUp" )
	ApxKey( "CursorRight" )
	ApxKey( "CursorDown" )
	ApxKey( "CursorLeft" )
	ApxKey( "Insert" )
	ApxKey( "Delete" )
	ApxKey( "Scan" )
	ApxKey( "Select" )
	ApxKey( "Help" )
	ApxKey( "PreviousActivity" )
	ApxKey( "NextRecord" )
	ApxKey( "AddMode") 
	ApxKey( "DeleteMode" )
	ApxKey( "InquiryMode" )
	ApxKey( "ChangeMode" )
	ApxKey( "PreviousScreen" )
	ApxKey( "NextScreen" )
	ApxKey( "0" )
	ApxKey( "1" )
	ApxKey( "2" )
	ApxKey( "3" )
	ApxKey( "4" )
	ApxKey( "5" )
	ApxKey( "6" )
	ApxKey( "7" )
	ApxKey( "8" )
	ApxKey( "9" )
    When Wait(20)
	Message( "Running" )
	Wait(5)
	Continue
    When Wait(40)
	Message( "Running" )
	Wait(5)
	Continue
    When Wait(60)
	Message( "Running" )
	Wait(5)
        Continue
    When Wait(80)
        Message( "Running" )
        Wait(5)
        Continue
    When Wait(100)
        Message( "Running" )
        Wait(5)
        Continue
    When Wait(120)
        MsgBox( "{END OF ENTRY} Prompt Not Received!" )
    End

//  [End of Macro]

