// Version KEAterm 3.10 $RCSfile: apxpfind.ktm,v $ $Revision: 1.1 $
// ============================================================================
// ApxPFind:    This Macro is called from the Print on Screen utility to
//              provide a Dialog Box interface for the Search report option.
//              It uses a hidden option 81 to communicate with the Print on
//              Screen APPX process.
// ============================================================================

    SearchField = Arg[1]
    PageNumber  = Arg[2]
    PageTotal   = Arg[3]

    PNH = PageNumber            //  PageNumber Holding area
    SFH = SearchField           //  SearchField Holding area

    MacroOptions(LockRemoteMacros=true)
    Begin Dialog("Search")
        TextBox()
        EditBox("Find:",SearchField,50)
        EditBox("Start Search on Page:",PageNumber,6)
        TextBox("",40)
        GroupBox(Row=true)
            DefaultButton("Next",25)
            Button("Cancel",25)
        GroupEnd()
    do
        suspend()
    When Match("$START$ * $STOP$",Pat_RegExp,true)
        tmp = substr(result,17,6)
        tmp2= substr(result,23,6)
        PageNumber = int(tmp)
        PNH = PageNumber
        PageTotal = int(tmp2)
        ControlSet("Edit2",Control_Value,PageNumber)
        continue
    When Control("Next")
        If PageNumber <> Int(Str(PageNumber))
            ControlSet ("Text2",Control_Label,"Page No must be Numeric")
            ControlSet("Page No",Control_Focus)
            Continue
        Else
            If SearchField = ""
            and PageNumber = PNH
            and PageNumber < PageTotal
                PageNumber = int(PageNumber) + 1
                ControlSet("Edit2",Control_Value,PageNumber)
            End
            Msg = ""
            ControlSet("Text2",Control_Label,"")
            ApxOpt("81)")               
            Send(Str(PageNumber))
            If Len(Str(PageNumber)) < 6
                Cnt=6-Len(Str(PageNumber))
                While Cnt > 0
                    Send(" ")
                    Cnt = Cnt - 1
                End
            End
            Send(SearchField)
            Send(chr(0))
            PNH = PageNumber
        End
        Continue
    When Control("Edit2")
        If PageNumber <> Int(Str(PageNumber))
            ControlSet ("Text2",Control_Label,"Page No must be Numeric")
            ControlSet("Edit2",Control_Focus)
        Else
            Msg = ""
            ControlSet("Text2",Control_Label,"")
        End
        Continue
    End
    MacroOptions( LockRemoteMacros=false )
    ApxOpt( "9)" )
//  [End of Macro]

