#!/bin/sh
###############################################################################
#
#  NAME:  start-appxd
#
#  REV:   1.0
#
#  DESC:  This script will start the APPX Application Server (appxd) on the
#         local host system.  You may edit this script if you need different
#         defaults for your system.  
#
#  NOTE:  THIS SCRIPT SHOULD ONLY BE RUN BY USER "root".
#
###############################################################################

#
#  Set your APPXPATH correctly for your system here.
#  Once you set it, remove or comment out the echo and exit.
#

echo "Please edit the start-appxd script and set the APPXPATH variable"
exit

APPXPATH="//data"
export APPXPATH

#
#  Set your TCP/IP Socket Port to assign to the Application Server
#

APPX_PORT=8060
export APPX_PORT

#
#  Set the location and name of you APPX engine.
#

APPX_SERVER=$APPXPATH/../appx
export APPX_SERVER

#
#  Set the default keymap name for client sessions.
#

APPX_KEYMAP=WINDOWS
export APPX_KEYMAP
#
#  OK, We are ready to start the server.
#

$APPXPATH/../tools/appxd -s=$APPX_PORT 2>&1 >/dev/null

#
#  End of script
#
